//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.huimv.acquisition.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Data
@TableName("move_pigpen")
public class MovePigpenEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	@TableId
	private Integer id;
	private String eartagNo;
	private Date moveDate;
	private Integer stage;
	private String deviceCode;
	private BigInteger orgId;

	public MovePigpenEntity() {
	}

	public Integer getId() {
		return this.id;
	}

	public String getEartagNo() {
		return this.eartagNo;
	}

	public Date getMoveDate() {
		return this.moveDate;
	}

	public Integer getStage() {
		return this.stage;
	}

	public String getDeviceCode() {
		return this.deviceCode;
	}

	public BigInteger getOrgId() {
		return this.orgId;
	}

	public void setId(final Integer id) {
		this.id = id;
	}

	public void setEartagNo(final String eartagNo) {
		this.eartagNo = eartagNo;
	}

	public void setMoveDate(final Date moveDate) {
		this.moveDate = moveDate;
	}

	public void setStage(final Integer stage) {
		this.stage = stage;
	}

	public void setDeviceCode(final String deviceCode) {
		this.deviceCode = deviceCode;
	}

	public void setOrgId(final BigInteger orgId) {
		this.orgId = orgId;
	}

	public boolean equals(final Object o) {
		if (o == this) {
			return true;
		} else if (!(o instanceof MovePigpenEntity)) {
			return false;
		} else {
			MovePigpenEntity other = (MovePigpenEntity)o;
			if (!other.canEqual(this)) {
				return false;
			} else {
				Object this$id = this.getId();
				Object other$id = other.getId();
				if (this$id == null) {
					if (other$id != null) {
						return false;
					}
				} else if (!this$id.equals(other$id)) {
					return false;
				}

				Object this$stage = this.getStage();
				Object other$stage = other.getStage();
				if (this$stage == null) {
					if (other$stage != null) {
						return false;
					}
				} else if (!this$stage.equals(other$stage)) {
					return false;
				}

				Object this$eartagNo = this.getEartagNo();
				Object other$eartagNo = other.getEartagNo();
				if (this$eartagNo == null) {
					if (other$eartagNo != null) {
						return false;
					}
				} else if (!this$eartagNo.equals(other$eartagNo)) {
					return false;
				}

				label62: {
					Object this$moveDate = this.getMoveDate();
					Object other$moveDate = other.getMoveDate();
					if (this$moveDate == null) {
						if (other$moveDate == null) {
							break label62;
						}
					} else if (this$moveDate.equals(other$moveDate)) {
						break label62;
					}

					return false;
				}

				label55: {
					Object this$deviceCode = this.getDeviceCode();
					Object other$deviceCode = other.getDeviceCode();
					if (this$deviceCode == null) {
						if (other$deviceCode == null) {
							break label55;
						}
					} else if (this$deviceCode.equals(other$deviceCode)) {
						break label55;
					}

					return false;
				}

				Object this$orgId = this.getOrgId();
				Object other$orgId = other.getOrgId();
				if (this$orgId == null) {
					if (other$orgId != null) {
						return false;
					}
				} else if (!this$orgId.equals(other$orgId)) {
					return false;
				}

				return true;
			}
		}
	}

	protected boolean canEqual(final Object other) {
		return other instanceof MovePigpenEntity;
	}


	public String toString() {
		return "MovePigpenEntity(id=" + this.getId() + ", eartagNo=" + this.getEartagNo() + ", moveDate=" + this.getMoveDate() + ", stage=" + this.getStage() + ", deviceCode=" + this.getDeviceCode() + ", orgId=" + this.getOrgId() + ")";
	}
}
